* chapter11.do
* hypothetical data relating divorce in first 5 years of marriage
* to score on positive feedback in discussions with spouse prior to 
* marriage
use divorce, clear
list divorce positives
scatter divorce positives, scheme(s2mono)
logit divorce positives
predict prdivorce
scatter prdivorce positives, scheme(s2mono)
predict logit, xb
scatter logit positives, scheme(s2mono)
regress divorce positives
predict divols
twoway (scatter divorce positives) (lfit divols positives)

*What is a logit?
use environ, clear
tab2 environ libcand, row

* Logistic regression examples
use "nlsy97 selected variables", clear
gen drank30 = drday97
replace drank30 = 1 if drday97 > 0 & drday97 < .
gen male = gender97
replace male = 0 if gender97==2
summarize drank30 age97 pdrink97 dinner97 male if !missing(drank30, age97, ///
   pdrink97, dinner97, male)
logit drank30 age97 male pdrink97 dinner97
logistic drank age97 male pdrink97 dinner97
listcoef, help
listcoef, help percent
* create a barchart from listcoef, percent command
use c11barchart, clear
graph bar (asis) Age male peers dinner, bargap(10) blabel(name, position(outside)) ///
	ytitle(Percent Change in Risk) title(Percentage Change in Risk of Drinking by ) ///
	subtitle(Age--Gender--Percent of Peers Drinking--Meals with Family) ///
	legend(off) scheme(s2manual)

* testing parameter estimates
use "nlsy97 selected variables", clear
gen drank30 = drday97
replace drank30 = 1 if drday97 > 0 & drday97 < .
gen male = gender97
replace male = 0 if gender97==2
logistic drank30 age97 male pdrink97 dinner97
lrdrop1
test pdrink97 dinner97

